Bug 987569 - OCSP responses with very old thisUpdate are accepted as secure
OCSP responses with very old thisUpdate are accepted as secure
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssl (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 12:51 EDT by Hubert Kario
Modified: 2016-01-28 11:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 11:36:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-07-23 12:51:15 EDT
Description of problem:
If an OCSP server sends a response with information that the source of revocation information (thisUpdate) is very old, the answer is still trusted.

Version-Release number of selected component (if applicable):
openssl-1.0.0-27.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a CRL with very old thisUpdate date and no nextUpdate date
2. Start OCSP responder that uses this CRL for revocation information
3. Try to validate certificate using openssl ocsp

Actual results:
Response verify OK
certs/server_cert.pem: good
        This Update: Jan 22 01:40:50 2013 GMT

(while current time is Tue Jul 23 18:41:31 CEST 2013)

Expected results:
specific certificate validation failure

Additional info:
This also happens if the nextUpdate is present and specifies some time in future.
Comment 2 RHEL Product and Program Management 2013-10-13 23:03:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2016-01-28 11:36:14 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.